PUT
/api/v1/storage/core/users/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/core/users/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "disabled": true, "id": 6069}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/storage/core/users/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "disabled": True, "id": 6069, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/core/users/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "disabled": true, "id": 6069 }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
disabled
required
boolean
id
required
integer
Example
6069Responses
Section titled “Responses”Response example for successful lock/unlock operation
Media typeapplication/json
object
Example
{ "code": 200, "data": { "id": 9999, "my_account_id": null, "user_name": "admin@e2enetworks.com", "email": "", "access_key": "A1B2C3D4E5F6G7H8I9J0", "secret_key": null, "is_default": false, "disabled": false, "tag": "test-user" }, "errors": {}, "message": "Success"}